package com.unipi.talepis.demo5679;

import android.content.Context;
import android.speech.tts.TextToSpeech;

import java.util.Locale;

public class Tts {
    private TextToSpeech textToSpeech;
    private TextToSpeech.OnInitListener initListener = new TextToSpeech.OnInitListener() {
        @Override
        public void onInit(int status) {
            if (status==TextToSpeech.SUCCESS)
                textToSpeech.setLanguage(Locale.ENGLISH);
        }
    };
    public Tts(Context context) {
        textToSpeech = new TextToSpeech(context,initListener);
    }
    public void speak(String message){
        textToSpeech.speak(message,TextToSpeech.QUEUE_ADD,null,null);
    }
}
